## ros-iron-rosidl-generator-c 4.0.1

=== debian/changelog ===
ros-iron-rosidl-generator-c (4.0.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Jul 2023 16:00:00 -0000

ros-iron-rosidl-generator-c (4.0.0-1jammy) jammy; urgency=high

  * Type Description Codegen and Typesupport  (rep2011) (#727 <https://github.com/ros2/rosidl/issues/727>)
  * Expose type hash on typesupports (rep2011) (#729 <https://github.com/ros2/rosidl/issues/729>)
  * Type hash in interface codegen (rep2011) (#722 <https://github.com/ros2/rosidl/issues/722>)
  * Contributors: Emerson Knapp

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-iron-rosidl-generator-c (3.4.0-1jammy) jammy; urgency=high

  * [service introspection] generate service_event messages (#700 <https://github.com/ros2/rosidl/issues/700>)
  * [rolling] Update maintainers - 2022-11-07 (#717 <https://github.com/ros2/rosidl/issues/717>)
  * Contributors: Audrow Nash, Brian

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 12 Feb 2023 16:00:00 -0000

ros-iron-rosidl-generator-c (3.3.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-iron-rosidl-generator-c (3.3.0-1jammy) jammy; urgency=high

  * Move rosidl_generator_c/cpp tests to a separate package (#701 <https://github.com/ros2/rosidl/issues/701>)
  * Move rosidl_cmake Python module to a new package rosidl_pycommon (#696 <https://github.com/ros2/rosidl/issues/696>)
    Deprecate the Python module in rosidl_cmake and move the implementation to the new package rosidl_pycommon.
  * Add namespaced ALIAS target to easily consume generated libraries via add_subdirectory (#605 <https://github.com/ros2/rosidl/issues/605>)
  * Contributors: Jacob Perron, Silvio Traversaro

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 07 Sep 2022 16:00:00 -0000

ros-iron-rosidl-generator-c (3.2.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 20 Jun 2022 16:00:00 -0000

ros-iron-rosidl-generator-c (3.2.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 03 May 2022 16:00:00 -0000

ros-iron-rosidl-generator-c (3.1.3-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-iron-rosidl-generator-c (3.1.2-1jammy) jammy; urgency=high

  * Fix error handling when copying C sequence messages (#671 <https://github.com/ros2/rosidl/issues/671>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 04 Apr 2022 16:00:00 -0000

ros-iron-rosidl-generator-c (3.1.1-1jammy) jammy; urgency=high

  * Install generated headers to include/${PROJECT_NAME} (#670 <https://github.com/ros2/rosidl/issues/670>)
  * Misc cleanup in the rosidl generator extensions (#662 <https://github.com/ros2/rosidl/issues/662>)
  * Set the output size unconditionally when copying sequences (#669 <https://github.com/ros2/rosidl/issues/669>)
  * Contributors: Nikolai Morin, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 27 Mar 2022 16:00:00 -0000

ros-iron-rosidl-generator-c (3.1.0-1jammy) jammy; urgency=high

  * Implement copy function for C messages (#650 <https://github.com/ros2/rosidl/issues/650>)
  * Implement equality operator function for C messages. (#648 <https://github.com/ros2/rosidl/issues/648>)
  * Generate documentation in generated C header files based on ROS interfaces comments (#593 <https://github.com/ros2/rosidl/issues/593>)
  * Contributors: Ivan Santiago Paunovic, Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-iron-rosidl-generator-c (3.0.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 12 Jan 2022 16:00:00 -0000

ros-iron-rosidl-generator-c (3.0.0-1jammy) jammy; urgency=high

  * Update package maintainers (#624 <https://github.com/ros2/rosidl/issues/624>)
  * Make rosidl packages use FindPython3 instead of FindPythonInterp (#612 <https://github.com/ros2/rosidl/issues/612>)
  * Contributors: Michel Hidalgo, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 04 Nov 2021 16:00:00 -0000

ros-iron-rosidl-generator-c (2.5.0-1jammy) jammy; urgency=high

  * Revert "Bundle and ensure the exportation of rosidl generated targets" (#611 <https://github.com/ros2/rosidl/issues/611>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 09 Aug 2021 16:00:00 -0000

ros-iron-rosidl-generator-c (2.4.0-1jammy) jammy; urgency=high

  * Bundle and ensure the exportation of rosidl generated targets (#601 <https://github.com/ros2/rosidl/issues/601>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 11 Jul 2021 16:00:00 -0000

ros-iron-rosidl-generator-c (2.3.0-1jammy) jammy; urgency=high

  * Fix a cpplint allocator regression. (#590 <https://github.com/ros2/rosidl/issues/590>)
  * Use RCUtils allocators in rosidl_generator_c (#584 <https://github.com/ros2/rosidl/issues/584>)
  * Contributors: Chris Lalancette, Pablo Garrido

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 10 Jun 2021 16:00:00 -0000

ros-iron-rosidl-generator-c (2.2.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-iron-rosidl-generator-c (2.2.0-1jammy) jammy; urgency=high

  * Expose C code generation via rosidl generate CLI (#569 <https://github.com/ros2/rosidl/issues/569>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-iron-rosidl-generator-c (2.1.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 08 Mar 2021 16:00:00 -0000

ros-iron-rosidl-generator-c (2.0.3-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-iron-rosidl-generator-c (2.0.2-1jammy) jammy; urgency=high


